summaryrefslogtreecommitdiffstats
diff options
context:
space:
mode:
author Bojan Popovic2012-12-09 17:01:07 +0100
committer dsomero2012-12-11 22:22:00 +0100
commitab378d08bd0c0f95cf1908e9c15f747cb5196c7c (patch)
treec47c731eedb25809b1a4642bb8627ce043ecf074
parent2015e7c074a5915e741635b293354b40c3bbb609 (diff)
downloadslackbuilds-ab378d08bd0c0f95cf1908e9c15f747cb5196c7c.tar.gz
system/nomarch: Added (extract '.arc' archives)
Signed-off-by: dsomero <xgizzmo@slackbuilds.org>
-rw-r--r--system/nomarch/README5
-rw-r--r--system/nomarch/makefile-destdir.patch.gzbin0 -> 397 bytes
-rw-r--r--system/nomarch/nomarch.SlackBuild92
-rw-r--r--system/nomarch/nomarch.info10
-rw-r--r--system/nomarch/slack-desc19
5 files changed, 126 insertions, 0 deletions
diff --git a/system/nomarch/README b/system/nomarch/README
new file mode 100644
index 0000000000..aeae936301
--- /dev/null
+++ b/system/nomarch/README
@@ -0,0 +1,5 @@
+nomarch lists/extracts/tests '.arc' archives. (It also handles '.ark'
+files). This is a *very* outdated file format which should never be
+used for anything new, but unfortunately, you can still run into it
+every so often (especially if you mess about with old CP/M stuff). So
+nomarch is a handy as a way to deal with these files.
diff --git a/system/nomarch/makefile-destdir.patch.gz b/system/nomarch/makefile-destdir.patch.gz
new file mode 100644
index 0000000000..c2b2d37db0
--- /dev/null
+++ b/system/nomarch/makefile-destdir.patch.gz
Binary files differ
diff --git a/system/nomarch/nomarch.SlackBuild b/system/nomarch/nomarch.SlackBuild
new file mode 100644
index 0000000000..7439622770
--- /dev/null
+++ b/system/nomarch/nomarch.SlackBuild
@@ -0,0 +1,92 @@
+#!/bin/sh
+
+# Slackware build script for nomarch
+# Copyright 2012 Bojan Popovic, Belgrade, Serbia <bocke@slackware-srbija.org>
+# All rights reserved.
+#
+# Redistribution and use of this script, with or without modification, is
+# permitted provided that the following conditions are met:
+#
+# 1. Redistributions of this script must retain the above copyright
+# notice, this list of conditions and the following disclaimer.
+#
+# THIS SOFTWARE IS PROVIDED BY THE AUTHOR ''AS IS'' AND ANY EXPRESS OR IMPLIED
+# WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF
+# MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO
+# EVENT SHALL THE AUTHOR BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
+# SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO,
+# PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS;
+# OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY,
+# WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR
+# OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF
+# ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
+
+
+PRGNAM=nomarch
+VERSION=${VERSION:-1.4}
+BUILD=${BUILD:-1}
+TAG=${TAG:-_SBo}
+
+if [ -z "$ARCH" ]; then
+ case "$( uname -m )" in
+ i?86) ARCH=i486 ;;
+ arm*) ARCH=arm ;;
+ *) ARCH=$( uname -m ) ;;
+ esac
+fi
+
+CWD=$(pwd)
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp}
+
+DOCS="ChangeLog COPYING NEWS README TODO"
+
+if [ "$ARCH" = "i486" ]; then
+ SLKCFLAGS="-O2 -march=i486 -mtune=i686"
+elif [ "$ARCH" = "i686" ]; then
+ SLKCFLAGS="-O2 -march=i686 -mtune=i686"
+elif [ "$ARCH" = "x86_64" ]; then
+ SLKCFLAGS="-O2 -fPIC"
+else
+ SLKCFLAGS="-O2"
+fi
+
+set -e
+
+rm -rf $PKG
+mkdir -p $TMP $PKG $OUTPUT
+cd $TMP
+rm -rf $PRGNAM-$VERSION
+tar xvf $CWD/$PRGNAM-$VERSION.tar.gz
+cd $PRGNAM-$VERSION
+chown -R root:root .
+find . \
+ \( -perm 777 -o -perm 775 -o -perm 711 -o -perm 555 -o -perm 511 \) \
+ -exec chmod 755 {} \; -o \
+ \( -perm 666 -o -perm 664 -o -perm 600 -o -perm 444 -o -perm 440 -o -perm 400 \) \
+ -exec chmod 644 {} \;
+
+# Apply destdir patch to Makefile
+zcat $CWD/makefile-destdir.patch.gz | patch -p1
+
+make CFLAGS="$SLKCFLAGS"
+make install DESTDIR=$PKG
+
+find $PKG -print0 | xargs -0 file | grep -e "executable" -e "shared object" | grep ELF \
+ | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null || true
+
+find $PKG/usr/man -type f -exec gzip -9 {} \;
+for i in $( find $PKG/usr/man -type l ) ; do ln -s $( readlink $i ).gz $i.gz ; rm $i ; done
+
+mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
+cp -a \
+ $DOCS \
+ $PKG/usr/doc/$PRGNAM-$VERSION
+cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+
+cd $PKG
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.${PKGTYPE:-tgz}
diff --git a/system/nomarch/nomarch.info b/system/nomarch/nomarch.info
new file mode 100644
index 0000000000..6a24130bbf
--- /dev/null
+++ b/system/nomarch/nomarch.info
@@ -0,0 +1,10 @@
+PRGNAM="nomarch"
+VERSION="1.4"
+HOMEPAGE="http://www.svgalib.org/rus/nomarch.html"
+DOWNLOAD="ftp://ftp.ibiblio.org/pub/Linux/utils/compress/nomarch-1.4.tar.gz"
+MD5SUM="1b0be450e2af64710f9627f85d1b0130"
+DOWNLOAD_x86_64=""
+MD5SUM_x86_64=""
+REQUIRES=""
+MAINTAINER="Bojan Popovic"
+EMAIL="bocke@mycity.rs"
diff --git a/system/nomarch/slack-desc b/system/nomarch/slack-desc
new file mode 100644
index 0000000000..bff002ad12
--- /dev/null
+++ b/system/nomarch/slack-desc
@@ -0,0 +1,19 @@
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description. Line
+# up the first '|' above the ':' following the base package name, and the '|'
+# on the right side marks the last column you can put a character in. You must
+# make exactly 11 lines for the formatting to be correct. It's also
+# customary to leave one space after the ':' except on otherwise blank lines.
+
+ |-----handy-ruler------------------------------------------------------|
+nomarch: nomarch (extract '.arc' archives)
+nomarch:
+nomarch: Nomarch lists/extracts/tests '.arc' and '.ark' archives.
+nomarch: This is an ancient file format you can still run into it if you
+nomarch: mess about with old CP/M stuff. Nomarch is a handy as a way to deal
+nomarch: with these files.
+nomarch:
+nomarch:
+nomarch: Website: http://www.svgalib.org/rus/nomarch.html
+nomarch:
+nomarch: